/* Global */
h1, h2 {
    font-family: 'Shrikhand', cursive;
    color: #ffffff;
}

h3, h4 {
    font-family: 'Lobster', cursive;
}

h5, h6, p, a, label, input, textarea {
    font-family: 'Museo Sans', sans-serif;
    font-weight: bolder;
}

html {
    scroll-behavior: smooth;
}

body {
    margin: 0;
    padding: 0;
    background: #fc8076;
}

nav {
    width: 100%;
    height: 8vh;
    background: #ffffff;
}

nav ul {
    width: 80%;
    height: 100%;
    padding: 0;
    margin: auto;
    justify-content: center;
}

nav ul a {
    text-decoration: none;
    padding: 0 20px;
}

nav ul a:hover {
    text-decoration: none;
    background: #fc8076;
}

nav ul a:active {
    background: #ef5350;
}

nav ul a:hover li {
    color: #ffffff;
}

nav ul a li {
    color: #2b2b2b;
    list-style: none;
    margin: auto;
}

footer {
    width: 100%;
}

footer div {
    position: relative;
}

video {
    width: 100%;
    height: auto;
    margin: auto;
}

/* IDs */
#page-container {
    position: relative;
    min-height: 100vh;
}

#content-wrap {
    padding-bottom: 10vh;
}

#copyright {
    color: #2b2b2b;
    position: absolute;
    bottom: 0;
    width: 100%;
    text-align: center;
}

#home {
    height: 92vh;
    min-height: 100%;
    background-image: url("../img/cityscape.c1168d0db813.jpg");
    background-blend-mode: hard-light;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    box-shadow: 0 5px 10px;
}

#home h1 {
    font-size: 10vh;
    color: #2b2b2b;
}

#showcase {
    height: 100%;
}

#about h1 {
    font-size: 2.5rem;
}

#about h6 {
    color: #ffffff;
    text-align: center;
    line-height: 1.8rem;
}

#education h2, #education p {
    color: #2b2b2b;
}

#experience h5, #experience p {
    color: #ffffff;
}

#skills {
    margin-top: -3rem;
}

#skills h5 {
    color: #ffffff;
}

#portfolio h5 {
    color: #ffffff;
}

#contact-me h4, #contact-me p {
    color: #ffffff;
    font-weight: unset;
}

#contact-me h4 {
    font-size: 2rem;
}

/* Classes */
.profilepic {
    border-style: solid;
    border-width: 4px;
    border-color: #ffffff;
    border-radius: 2px;
    height: 100%;
    width: 100%;
    object-fit: cover;
    margin: 20px auto;
}

.flex-container {
    display: flex;
}

.dream-line {
    margin: auto;
    height: 10px;
    background-color: #2b2b2b;
    border-radius: 4px;
}

.drop-shadow {
    box-shadow: 5px 5px 10px #2b2b2b;
}

.jumbotron {
    padding: 7rem 2rem;
    background-color: #fc8076;
    border-radius: 0;
}

.card {
    background-color: #ffa270;
    border-style: none;
}

.card-img-top {
    padding: 20px;
    background-color: #ffffff;
    height: 200px;
    object-fit: contain;
}

.timeline {
    position: relative;
    max-width: 1200px;
    margin: 0 auto;
}

.timeline h2 {
    letter-spacing: 2px;
}

.timeline::after {
    content: '';
    position: absolute;
    width: 6px;
    background-color: #ffffff;
    top: 0;
    bottom: 0;
    left: 50%;
    margin-left: 1px;
}

.ed-container {
    padding: 10px 40px;
    position: relative;
    background-color: inherit;
    width: 50%;
}

.ed-container::after {
    content: '';
    position: absolute;
    width: 25px;
    height: 25px;
    right: -16px;
    background-color: #ffffff;
    border: 4px solid #ffa270;
    top: 15px;
    border-radius: 50%;
    z-index: 1;
}

.left {
    left: 0;
}

.right {
    left: 50%;
}

.left::before {
    content: " ";
    height: 0;
    position: absolute;
    top: 18px;
    width: 0;
    z-index: 1;
    right: 30px;
    border: medium solid white;
    border-width: 10px 0 10px 10px;
    border-color: transparent transparent transparent white;
}

.right::before {
    content: " ";
    height: 0;
    position: absolute;
    top: 18px;
    width: 0;
    z-index: 1;
    left: 30px;
    border: medium solid white;
    border-width: 10px 10px 10px 0;
    border-color: transparent white transparent transparent;
}

.right::after {
    left: -9px;
}

.content {
    padding: 20px 30px;
    background-color: white;
    position: relative;
    border-radius: 6px;
}

/* Media Queries */
@media (max-width: 991.5px) {
    .profilepic {
        width: 300px;
        height: 300px;
    }
}

@media (max-width: 768px) {
    nav ul a {
        padding: 0 10px;
    }
    nav ul a li {
        font-size: 0.7rem;
    }
    #home h1 {
        font-size: 2.5rem;
        line-height: 10vh;
    }
}

@media (max-width: 600px) {
    .timeline::after {
        left: 31px;
    }

    .ed-container {
        width: 100%;
        padding-left: 70px;
        padding-right: 25px;
    }

    .ed-container::before {
        left: 60px;
        border: medium solid white;
        border-width: 10px 10px 10px 0;
        border-color: transparent white transparent transparent;
    }

    .left::after, .right::after {
        left: 22px;
    }

    .right {
        left: 0;
    }
}

@media (max-width: 576px) {
    #about h6 {
        font-size: 0.8rem;
    }

    .profilepic {
        width: 200px;
        height: 200px;
    }
}

@font-face {
    font-family: "Museo Sans";
    src: url("../fonts/905303/a29947fd-0c53-492b-b2f4-399b01153b30.3406d17bc8c4.eot?#iefix");
    src: url("../fonts/905303/a29947fd-0c53-492b-b2f4-399b01153b30.3406d17bc8c4.eot?#iefix") format("eot"), url("../fonts/905303/d9896899-f08c-4750-a874-a9e10d83c2cb.f9a3c16cccec.woff2") format("woff2"), url("../fonts/905303/d42dd843-62b0-4623-8855-d5882512c3c9.e116b64c2f2f.woff") format("woff"), url("../fonts/905303/6d532ccb-086c-4000-bab2-5d16862fcf01.19217f852797.ttf") format("truetype");
}